class CfgPatches
{
	class finsp_Sargeant
	{
		units[] = {finsp_Sargeant};
		weapons[] = {};
		requiredVersion = 1.30;		
	};

	class finsp_Soldier
	{
		units[] = {finsp_Soldier};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
	
	class finsp_SoldierSVD
	{
		units[] = {finsp_SoldierSVD};
		weapons[] = {};
		requiredVersion = 1.30;		
	};
};

class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWB:Soldier{};
	class SoldierWMedic: SoldierWB{};
	class SoldierWG: SoldierWB{};
	class SoldierWMG: SoldierWB{};
	class SoldierWLAW: SoldierWB{};
	class SoldierWAT: SoldierWLAW{};
	class SoldierWAA: SoldierWLAW{};
	class OfficerW: SoldierWB{};
	class OfficerWNight:SoldierWB{};
	class SoldierWSniper: SoldierWB{};
	class SoldierWMiner: SoldierWB{};
	class SoldierWSaboteur: SoldierWB{};
	class SoldierWSaboteurPipe: SoldierWSaboteur{};
	class SoldierWSaboteurDay: SoldierWSaboteurPipe{};
	
	class finsp_Sargeant: SoldierWMedic
	{
		model="\fin_spo\finsp_soldier";
		displayName="FIN MP Sargeant";
		picture="\fin_spo\ivojak";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		attendant=0;
		nameSound="officer";
		accuracy=0.900000;
		weapons[]={"uce_rk76","Throw","Put","Binocular"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade"};
		cost=60000;
		wounds[]={"\fin_spo\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_spo\00003mc_fin_o.paa","\fin_spo\00007mc_fin_o.paa",
			"\fin_spo\00004mc_fin.paa","\fin_spo\00008mc_fin.paa",
			"\fin_spo\00005mc_fin.paa","\fin_spo\00009mc_fin.paa",
			"\fin_spo\fin_hrud_po.pac","\fin_spo\fin_hrud_po_d.pac",
			"\fin_spo\fin_nohy_p.pac","\fin_spo\fin_nohy_p_d.pac",
			"\fin_spo\fin_nohy_z.pac","\fin_spo\fin_nohy_z_d.pac",
			"\fin_spo\fin_zada_zo.pac","\fin_spo\fin_zada_zo_d.pac"};
	};
	
	class finsp_Soldier: SoldierWMedic
	{
		model="\fin_spo\finsp_soldier";
		displayName="FIN MP Soldier";
		picture="\fin_spo\ivojak";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		attendant=0;
		nameSound="Soldier";
		accuracy=0.700000;
		weapons[]={"uce_rk76","Throw","Put"};
		magazines[]={"uce_rk76","uce_rk76","uce_rk76","uce_rk76","HandGrenade","HandGrenade"};
		cost=40000;
		wounds[]={"\fin_spo\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_spo\00003mc_fin_o.paa","\fin_spo\00007mc_fin_o.paa",
			"\fin_spo\00004mc_fin.paa","\fin_spo\00008mc_fin.paa",
			"\fin_spo\00005mc_fin.paa","\fin_spo\00009mc_fin.paa",
			"\fin_spo\fin_hrud_po.pac","\fin_spo\fin_hrud_po_d.pac",
			"\fin_spo\fin_nohy_p.pac","\fin_spo\fin_nohy_p_d.pac",
			"\fin_spo\fin_nohy_z.pac","\fin_spo\fin_nohy_z_d.pac",
			"\fin_spo\fin_zada_zo.pac","\fin_spo\fin_zada_zo_d.pac"};
	};

	class finsp_SoldierSVD: SoldierWMedic
	{
		model="\fin_spo\finsp_soldier";
		displayName="FIN MP Sniper";
		picture="\fin_spo\isniper";
		moves="CfgMovesMC";
		vehicleClass="Men";
		scope=2;
		side=1;
		attendant=0;
		nameSound="Soldier";
		accuracy=1.200000;
		weapons[]={"uce_SVD_Dragunov","Throw","Put"};
		magazines[]={"SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov"};
		cost=50000;
		wounds[]={"\fin_spo\xicht_a.paa","\fin_inf\xicht_a_zranen.pac",
			"\fin_spo\00003mc_fin_o.paa","\fin_spo\00007mc_fin_o.paa",
			"\fin_spo\00004mc_fin.paa","\fin_spo\00008mc_fin.paa",
			"\fin_spo\00005mc_fin.paa","\fin_spo\00009mc_fin.paa",
			"\fin_spo\fin_hrud_po.pac","\fin_spo\fin_hrud_po_d.pac",
			"\fin_spo\fin_nohy_p.pac","\fin_spo\fin_nohy_p_d.pac",
			"\fin_spo\fin_nohy_z.pac","\fin_spo\fin_nohy_z_d.pac",
			"\fin_spo\fin_zada_zo.pac","\fin_spo\fin_zada_zo_d.pac"};
	};
};

class CfgGroups
{
	class fin_fdf
	{
		name="Finnish Defence Forces";
		class fin_Infantry
		{
			name="Infantry";
			class fin_MPSquad
			{
				name="Military Police Team";

				class Unit0
				{
					side=1;
					vehicle="finsp_Sargeant";
					rank="Lieutnant";
					position[]={0,0,0};
				};

				class Unit1
				{
					side=1;
					vehicle="finsp_SoldierSVD";
					rank="Sergeant";
					position[]={-2,-2,0};
				};
				class Unit2
				{
					side=1;
					vehicle="finsp_Soldier";
					rank="Sergeant";
					position[]={0,-2,0};
				};
				class Unit3
				{
					side=1;
					vehicle="finsp_Soldier";
					rank="Corporal";
					position[]={2,-2,0};
				};
				class Unit4
				{
					side=1;
					vehicle="finsp_Soldier";
					rank="Corporal";
					position[]={4,-2,0};
				};
			};
		};
	};
};
